[Unit]
Description=Bind mount volatile /www
DefaultDependencies=false
Before=local-fs.target
RequiresMountsFor=/var/volatile 
ConditionPathIsReadWrite=/var/volatile
ConditionPathExists=/www
ConditionPathIsReadWrite=!/www

[Service]
Type=oneshot
RemainAfterExit=Yes
StandardOutput=syslog
TimeoutSec=0
ExecStart=/sbin/mount-copybind /var/volatile/www /www
ExecStop=/bin/umount /www

[Install]
WantedBy=local-fs.target
